'---------------------------------------------------------------------------------------------

'                                    U S I N G   T O T A L S   &   C O U N T S

'                                                 Ron Kessler
'                                                   6/29/06

'---------------------------------------------------------------------------------------------

'Notes:

'   This program introduces you to VB counts & Totals. The program keeps a running total of the amount
'   they spend and the total number of items they bought.

'   The program also shows you how to use module-level variables

'Updated 6/29/06


Public Class frmCounts


    '---module level variables   
    Dim grandTotal As Single = 0     'hold the running total
    Dim numItems As Short = 0       'hold the number of items bought

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click

        '---take item and cost & put them in textbox
        txtItem.Text = Trim(Mid(lstItems.SelectedItem, 1, 15))
        txtCost.Text = Trim(Mid(lstItems.SelectedItem, 16))
        txtCost.Text = FormatNumber(txtCost.Text, 2)

        '---add this cost to the running total
        grandTotal += CSng(txtCost.Text)
        numItems += 1     'same as numItems = numItems + 1

    End Sub

    Private Sub btnCheckOut_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCheckOut.Click

        lblTotalSpent.Text = "You spent " & grandTotal & " today. Thanks!"
        lblNumItems.Text = "You purchased " & numItems & " items."

    End Sub

    Private Sub btnQuit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnQuit.Click

        Me.Close()

    End Sub
End Class
